<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 04/11/19
 * Time: 0.42
 */

namespace FiloBlu\Rma\Plugin\Model;
use Magento\CatalogSearch\Test\Unit\Model\Search\Indexer\IndexStructureTest;
use Magento\Framework\App\Config\ScopeConfigInterface;
use FiloBlu\Rma\Block\Form\Renderer\Select;
use FiloBlu\Rma\Helper\InstallHelper;

class HideChangeSizeResolution
{

    /**
     * @var ScopeConfigInterface
     */
    protected $scopeConfig;

    /**
     * HideChangeSizeResolution constructor.
     * @param ScopeConfigInterface $scopeConfig
     */
    public function __construct(ScopeConfigInterface $scopeConfig){
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * @param $subject
     * @param $result
     */
    public function afterGetAttributeOptionValues($subject,$result){

        $allOptions = $result;
        $allowed = [];
        if(!$this->scopeConfig->getValue(Select::CHANGE_SIZE_ENABLE)){
            foreach ($result as $key => $options){
                if($options != InstallHelper::REASON_CHANGE_SIZE_LABEL){
                    $allowed [$key]= $options;
                }
            }
            $result = $allowed;
        }
        return $result;
    }

}